List a Project's Custom Inbound Filters
ExperimentalThis API is under active development and may change.
GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/custom-inbound-filters/
List the custom inbound filters configured for a project.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
project_id_or_slug(string)REQUIREDThe ID or slug of the project the resource belongs to. Project slugs are unique within each organization.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:project:adminproject:readproject:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/custom-inbound-filters/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied[ { "id": "42", "name": "Drop TypeErrors from the 1.x releases", "active": true, "dataType": "error", "conditions": [ { "type": "error_type", "operator": "equals", "value": [ "TypeError" ] }, { "type": "error_message", "operator": "contains", "value": [ "undefined" ] }, { "type": "release", "operator": "lt", "value": [ "2.0.0" ] } ], "dateCreated": "2024-07-23T17:52:53.981206Z", "dateUpdated": "2024-07-23T17:52:53.981206Z", "legacyFilter": null } ]
Was this helpful?